Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.slide.search
Class LoggingIndexer

    java.lang.Object
      org.apache.slide.search.LoggingIndexer

All Implemented Interfaces:
  Indexer

public class LoggingIndexer
extends java.lang.Object
implements Indexer

Version:
  $Revision: 1.2 $

Field Summary
`protected static java.lang.String` | `LOG_CHANNEL`

Constructor Summary
`LoggingIndexer()`

Method Summary
`void` | `createIndex(Uri uri, NodeRevisionDescriptor revisionDescriptor, NodeRevisionContent revisionContent)` creates an index for a resource
`void` | `dropIndex(Uri uri, NodeRevisionNumber number)` Drops the index of the specified resource
`void` | `updateIndex(Uri uri, NodeRevisionDescriptor revisionDescriptor, NodeRevisionContent revisionContent)` updates an index for a resource

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOG_CHANNEL

    protected static final java.lang.String LOG_CHANNEL

Constructor Detail

### LoggingIndexer

    public LoggingIndexer()

Method Detail

### dropIndex

    public void dropIndex(Uri uri,
                          NodeRevisionNumber number)
                   throws IndexException

  Description copied from interface: `Indexer`
  Drops the index of the specified resource

  Specified by:
    `dropIndex` in interface `Indexer`
  Parameters:
    `uri` - uri of the resource
    `number` - nodeRevisionNumber of the resource
  Throws:
    `IndexException`

### createIndex

    public void createIndex(Uri uri,
                            NodeRevisionDescriptor revisionDescriptor,
                            NodeRevisionContent revisionContent)
                     throws IndexException

  Description copied from interface: `Indexer`
  creates an index for a resource

  Specified by:
    `createIndex` in interface `Indexer`
  Parameters:
    `uri` - uri of the resource
    `revisionContent` - the content of the resource
  Throws:
    `IndexException`

### updateIndex

    public void updateIndex(Uri uri,
                            NodeRevisionDescriptor revisionDescriptor,
                            NodeRevisionContent revisionContent)
                     throws IndexException

  Description copied from interface: `Indexer`
  updates an index for a resource

  Specified by:
    `updateIndex` in interface `Indexer`
  Parameters:
    `uri` - uri of the resource
    `revisionContent` - the content of the resource
  Throws:
    `IndexException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD